flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: Flex Mojos 6.0.1, unusual failure
Date Thu, 17 Apr 2014 15:16:08 GMT
You say that you are using Flex 4.11 ... what GroupId are you using? Flexmojos 6.x can only
work with Flex SDKs if they have the GroupId com.adobe.flex
If you are using org.apache.flex, you need to update to Flexmojos 7.x (I just released 7.0.0
two days ago).

The reference to com.adobe.flex is the default FDK Flexmojos 6.0.1 was built against. So it
uses this if you don't specify a different version.

If you want to use FM6, you need to tell the mavenizer to generate Apache FDKs using the Adobe
GroupId but I would strongly suggest to use FM 7.0.0


Chris

________________________________________
Von: dcorbin <dcorbin@zcorum.com>
Gesendet: Donnerstag, 17. April 2014 17:09
An: users@flex.apache.org
Betreff: Flex Mojos 6.0.1, unusual failure

I recently set up a flex project to be able to build via maven.  It is using
FM 6.0.1, AIR 3.9, Flex 4.11.20131017, and Flash 11.9.  It took a lot of
work to get everything working correctly, but I got there.  The project
built fine on both my system and on our Jenkins system.

A recent change (the introduction of the a new ANE) introduced a new
problem.  I can now build it on my system, but our Jenkins system fails
because it cannot resolve some of the symbols from the ANE. I've done my
best to figure out what might be different between the systems that would
cause this without any success.

I've done "maven -X", and compared all the arguments being passed to the
compiler.  File system paths are different, and the order of some of the
parameters varies a little bit, but nothing that seems like it would matter.
The new ANE is clearly listed in as argument -compiler-library-path.

I do get numerous warnings, but I got those before the new ANE was added.
[WARNING] The POM for com.adobe.flex:compiler:pom:4.6.0.23201 is missing, no
dependency information available
[WARNING] The POM for com.adobe.flex.compiler:mxmlc:jar:4.6.0.23201 is
missing, no dependency information available
[WARNING] The POM for com.adobe.flex.compiler:digest:jar:4.6.0.23201 is
missing, no dependency information available
[WARNING] The POM for com.adobe.flex.compiler:optimizer:jar:4.6.0.23201 is
missing, no dependency information available
[WARNING] The POM for com.adobe.flex.compiler:asdoc:jar:4.6.0.23201 is
missing, no dependency information available
[WARNING] The POM for com.adobe.flex.compiler:swcdepends:jar:4.6.0.23201 is
missing, no dependency information available

These dependencies appear to come from
net.flexmojos.oss:flexmojos-flex-compiler:jar:6.0.1:compile

So, what else should I be looking at?

David Corbin




--
View this message in context: http://apache-flex-users.2333346.n4.nabble.com/Flex-Mojos-6-0-1-unusual-failure-tp6170.html
Sent from the Apache Flex Users mailing list archive at Nabble.com.

Mime
View raw message